<?php

namespace Treewec\FileSystem;

/**
 * Test class for Directory.
 * Generated by PHPUnit on 2012-03-25 at 16:41:14.
 * @group filesystem
 */
class DirectoryTest extends \PHPUnit_Framework_TestCase {

    private $exceptionHelper;

    protected function setUp() {
        $this->exceptionHelper = new \Treewec\ExceptionHelper();
    }

    public function test__construct() {
        $this->assertInstance(TREEWEC_CLASS_ROOT);
        $this->assertInstance(__DIR__ . '/');
        $this->assertException(__DIR__);
        $this->assertException(__FILE__);
        $this->assertException('hello');
    }

    public function testGetPath() {
        $path = TREEWEC_CLASS_ROOT;
        $directory = new Directory($path);
        parent::assertEquals($path, $directory->getPath());
    }

    private function assertInstance($path) {
        parent::assertInstanceOf('\Treewec\FileSystem\Directory', new Directory($path));
    }

    private function assertException($parameter) {
        $this->exceptionHelper->catchExceptionInConstructor(
                '\Treewec\Exceptions\FileSystemException', '\Treewec\FileSystem\Directory', $parameter
        );
    }

}

?>